<?php
function showstruct(){
	$mipaso=new API();
	$content=_selectstruct;
	$carpeta=@opendir($GLOBALS['_url_template']);
		if(!$carpeta){
			echo $mipaso->showError("compruebe que <b>".$directorio."</b> tiene permisos de lectura");
		}else{	
			$i=0;
			while($file=readdir($carpeta)){
				$add['file']="$file";
					$ar=explode('.',$add['file']);
					$nombre=$ar[0];
					$tipo=$ar[1];
				if (($tipo=='')&&($nombre!='.')&&($nombre!='..')&&($nombre!='')){		
					$content.='<div class="img"><a href="index.php?template='.$nombre.'"><img src="'.$GLOBALS['_url_template'].'/'.$nombre.'/preview.png" border="0"></a></div>';
				}
			}
		}
		closedir($carpeta);	

	$contenido['contenido']=$content;		

	$mipaso->setData('urlCSStemp','');
	$mipaso->setData('urlHTMLtemp','');
	$mipaso->setData('template','');
	$mipaso->setData('urltemplate','');
	$mipaso->setData('pasoDiv','');


	$mipaso->setTemplate($mipaso->template("step/struct/interface/index.html",$contenido));
	$mipaso->setCSS("../step/struct/interface/estilo/estilo.css");
	
	return $mipaso->printweb($datos);
}

?>


